/cosmos/feegrant/v1beta1/allowance/{granter}/{grantee}
GET
Allowance returns granted allwance to the grantee by the granter.
Path Parameters
granterstringrequired
granter is the address of the user granting an allowance of their funds.granteestringrequired
grantee is the address of the user being granted an allowance of another user's funds.Responses
allowance is a allowance granted for grantee by granter.
granterstring
granter is the address of the user granting an allowance of their funds.granteestring
grantee is the address of the user being granted an allowance of another user's funds.allowance can be any of basic, periodic, allowed fee allowance.
type_urlstring
A URL/resource name that uniquely identifies the type of the serializedprotocol buffer message. This string must contain at leastone "/" character. The last segment of the URL's path must representthe fully qualified name of the type (as inpath/google.protobuf.Duration). The name should be in a canonical form(e.g., leading "." is not accepted).In practice, teams usually precompile into the binary all types that theyexpect it to use in the context of Any. However, for URLs which use thescheme http, https, or no scheme, one can optionally set up a typeserver that maps type URLs to message definitions as follows:- If no scheme is provided,
httpsis assumed. - An HTTP GET on the URL must yield a [google.protobuf.Type][]
- Applications are allowed to cache lookup results based on the
http, https (or the empty scheme) might beused with implementation specific semantics.valuestring
Must be a valid serialized protocol buffer of the above specified type.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "An unexpected error response."}
cURL
curl -X GET 'https://rest-celestia-mainnet.nodit.io/cosmos/feegrant/v1beta1/allowance/{granter}/{grantee}' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'